Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062716 - GUI: ensure proper web-admin and user-portal behavior on IE11
Summary: GUI: ensure proper web-admin and user-portal behavior on IE11
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Vojtech Szocs
QA Contact: Jiri Belka
URL:
Whiteboard: ux
Depends On:
Blocks: 1067685 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-02-07 19:05 UTC by Einav Cohen
Modified: 2016-01-28 21:56 UTC (History)
12 users (show)

Fixed In Version: av2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1067685 (view as bug list)
Environment:
Last Closed:
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 23367 None None None Never
oVirt gerrit 24211 None None None Never

Description Einav Cohen 2014-02-07 19:05:18 UTC
Description of problem:

IE11 declares itself (via its "user-agent" property) as something that resembles Firefox.
This causes the Gecko (Firefox) targeted GWT permutation of the GUI application (web-admin / user-portal) to be loaded into IE11, which my result in unexpected behavioral regressions in the GUI. 

By instructing IE11 to emulate IE10, IE11 will declare itself as IE again, which will cause it to load the "ie9" GWT permutation of the application (rather than the "Gecko" one), which (as we already know) is working well on IE10 and similarly, should work well on IE11 while it emulates IE10. 

This bug is tracking the code-change that introduces the instruction for IE11 to emulate IE10.

Comment 1 Einav Cohen 2014-02-07 19:06:59 UTC
qe: need to perform sanity tests of the user-portal and web-admin on IE11 (at least for a while) to ensure no behavioral regressions.

Comment 3 Sandro Bonazzola 2014-02-19 12:00:46 UTC
All patches merged, shouldn't this be on modified?

Comment 4 Vojtech Szocs 2014-02-19 13:09:04 UTC
> All patches merged, shouldn't this be on modified?

You are right, BZ moved to MODIFIED.

Comment 10 Jiri Belka 2014-03-27 15:36:09 UTC
See BZ1079941

Comment 12 Itamar Heim 2014-06-12 14:08:13 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.